summaryrefslogtreecommitdiff
path: root/tcwg-benchmark-results-compare.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-benchmark-results-compare.sh')
-rwxr-xr-xtcwg-benchmark-results-compare.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/tcwg-benchmark-results-compare.sh b/tcwg-benchmark-results-compare.sh
new file mode 100755
index 00000000..466257e9
--- /dev/null
+++ b/tcwg-benchmark-results-compare.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Clean: shellcheck -e 2001 ./tcwg-benchmark-results-compare.sh
+
+set -ex
+
+# Make shellcheck happy and workaround Jenkins not defining variables
+# for empty arguments.
+resultsref="$resultsref"
+resultseval="$resultseval"
+
+rm -rf results results-ref artifacts artifacts-ref
+# Prepare reference results
+resultsdest=$resultsref ./tcwg-benchmark-results.sh
+mv artifacts artifacts-ref
+
+# Prepare these results
+rm -rf results
+resultsdest=$resultseval ./tcwg-benchmark-results.sh
+
+bmk-scripts/compare.pl -u time -f 2:1:3 -D /,/ artifacts-ref/time.csv artifacts/time.csv